## sw-keyfob

sw-keyfob

## Functions

void | (*SwKeyfobCallback) ()
void | sw_keyfob_oauth ()
gboolean | sw_keyfob_oauth_sync ()
void | sw_keyfob_oauth2 ()
gboolean | sw_keyfob_oauth2_sync ()
void | sw_keyfob_flickr ()
gboolean | sw_keyfob_flickr_sync ()

## Description

## Functions

### SwKeyfobCallback ()

    void
    (*SwKeyfobCallback) (RestProxy *proxy,
                         gboolean authorised,
                         gpointer user_data);

### sw_keyfob_oauth ()

    void
    sw_keyfob_oauth (OAuthProxy *proxy,
                     SwKeyfobCallback callback,
                     gpointer user_data);

### sw_keyfob_oauth_sync ()

    gboolean
    sw_keyfob_oauth_sync (OAuthProxy *proxy);

### sw_keyfob_oauth2 ()

    void
    sw_keyfob_oauth2 (OAuth2Proxy *proxy,
                      SwKeyfobCallback callback,
                      gpointer user_data);

### sw_keyfob_oauth2_sync ()

    gboolean
    sw_keyfob_oauth2_sync (OAuth2Proxy *proxy);

### sw_keyfob_flickr ()

    void
    sw_keyfob_flickr (FlickrProxy *proxy,
                      SwKeyfobCallback callback,
                      gpointer user_data);

### sw_keyfob_flickr_sync ()

    gboolean
    sw_keyfob_flickr_sync (FlickrProxy *proxy);

## Types and Values